=== debian/control ===
Source: rrr
Section: main
Priority: optional
Maintainer: Atle Solbakken <atle@goliathdns.no>
Build-Depends: debhelper (>= 13),
               dh-autoreconf,
               dh-python,
               libmysqlclient-dev | libmariadbclient-dev-compat,
               libperl-dev (>= 5.31),
               libssl-dev,
               libsystemd-dev,
               libusb-dev,
               pkg-config,
               python3-dev (>= 3.9),
               libnghttp2-dev,
               libjson-c-dev,
               libevent-dev,
               libjemalloc-dev
X-Python3-Version: 3.9,3.10
Standards-Version: 4.6.0
Homepage: https://github.com/atlesn/rrr

Package: rrr
Architecture: any
Multi-Arch: foreign
Depends: librrr1 (= ${binary:Version}),
         libusb | libusb-1.0-0,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: rrr-mod-python3
Breaks: rrr-mod-python3
Description: RRR (Read Route Record) is a general purpose acquirement, transmission and processing daemon supporting HTTP, MQTT, TCP, UDP and other I/O devices.
Conflicts: rrr-mysql

Package: librrr1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libssl1.1,
         python3 (>= 3.9),
         libjemalloc2,
         libjson-c5,
         libnghttp2-14
Description: RRR (Read Route Record) is a general purpose acquirement, transmission and processing daemon supporting HTTP, MQTT, TCP, UDP and other I/O devices.

Package: librrr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librrr1 (= ${binary:Version}),
         ${misc:Depends}
Description: RRR (Read Route Record) is a general purpose acquirement, transmission and processing daemon supporting HTTP, MQTT, TCP, UDP and other I/O devices.

Package: rrr-mod-mariadb
Architecture: any
Multi-Arch: foreign
Depends: libmariadb-dev-compat,
         rrr (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Read Route Record module for writing to MariaDB SQL Database.
