## rrr 1.25-1bookworm1

=== debian/changelog ===
rrr (1.25-1bookworm1) bookworm; urgency=medium

  * Bookworm release

 -- Atle Solbakken <atle@goliathdns.no>  Fri, 03 Jun 2022 21:16:53 +0200
