## rrr 1.25-1impish1

=== debian/changelog ===
rrr (1.25-1impish1) impish; urgency=medium

  * Impish release

 -- Atle Solbakken <atle@goliathdns.no>  Fri, 03 Jun 2022 20:23:09 +0200
