=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: main
 Priority: optional
 Maintainer: Atle Solbakken <atle@goliathdns.no>
-Build-Depends: debhelper (>= 13),
+Build-Depends: debhelper (>=13~),
                dh-autoreconf,
                dh-python,
-               libmysqlclient-dev | libmariadbclient-dev-compat,
+               libmysqlclient-dev,
                libperl-dev (>= 5.32),
                libssl-dev,
                libsystemd-dev,
@@ -55,11 +55,11 @@
          ${misc:Depends}
 Description: RRR (Read Route Record) is a general purpose acquirement, transmission and processing daemon supporting HTTP, MQTT, TCP, UDP and other I/O devices.
 
-Package: rrr-mod-mariadb
+Package: rrr-mod-mysql
 Architecture: any
 Multi-Arch: foreign
-Depends: libmariadb-dev-compat,
+Depends: libmysqlclient21,
          rrr (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Read Route Record module for writing to MariaDB SQL Database.
+Description: Read Route Record module for writing to MySQL Database.
