=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# This will disable installation of rrr.service systemd file and let dh_systemd/dh_installinit do that instead
export RRR_SYSTEMD_NO_UNIT_INSTALL=1

# This will disable installation of rrr.conf file in tmpfiles.d and let dh_installtmpfiles do that instead. Only available in Debian 11+, comment out for earlier releases
export RRR_SYSTEMD_NO_TMPFILES_INSTALL=1

# This will create User=rrr and Group=rrr in rrr.service as opposed to the default username 'daemon'
export RRR_DAEMON_USERNAME=rrr

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_missing:
	dh_missing --list-missing

#override_dh_install:
#	dh_install -X.la
#	dh_missing --list-missing

#override_dh_strip:
#	dh_strip -Xlibrrr1 --dbg-package=librrr1-dbg
#	dh_strip -Xrrr --dbg-package=rrr-dbg
#	dh_strip -Xrrr-mod-mariadb --dbg-package=rrr-mod-mariadb-dbg
