## rrr 1.25-1jammy2

=== debian/changelog ===
rrr (1.25-1jammy2) jammy; urgency=medium

  * Jammy Jellyfish release.

 -- Atle Solbakken <atle@goliathdns.no>  Fri, 03 Jun 2022 19:31:06 +0200
