=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: main
 Priority: optional
 Maintainer: Atle Solbakken <atle@goliathdns.no>
-Build-Depends: debhelper (>=13~),
+Build-Depends: debhelper (>= 13),
                dh-autoreconf,
                dh-python,
                libmysqlclient-dev,
-               libperl-dev (>= 5.32),
+               libperl-dev (>= 5.34),
                libssl-dev,
                libsystemd-dev,
                libusb-dev,
                pkg-config,
-               python3-dev (>= 3.9),
+               python3-dev (>= 3.10),
                libnghttp2-dev,
                libjson-c-dev,
                libevent-dev,
                libjemalloc-dev
-X-Python3-Version: 3.9,3.10
+X-Python3-Version: 3.10
 Standards-Version: 4.6.1
 Homepage: https://github.com/atlesn/rrr
